package com.cool.store.request;

import com.cool.store.common.PageBasicInfo;
import com.cool.store.enums.point.PointStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author zhangchenbiao
 * @FileName: RecommendPointPageRequest
 * @Description:
 * @date 2024-04-08 16:43
 */
@Data
public class RecommendPointPageRequest extends PageBasicInfo {

    @ApiModelProperty("1.采集中、2.已评估、3.待审核、5.已审核、6.已签约、7.已失效")
    private Integer pointStatus;

    @ApiModelProperty(value = "拓展专员", hidden = true)
    private String developmentManager;

    @ApiModelProperty(value = "铺位状态列表", hidden = true)
    private List<Integer> pointStatusList;

    public List<Integer> getPointStatusList() {
        List<Integer> pointStatusList = new ArrayList<>();
        if (pointStatus != null) {
            pointStatusList.add(pointStatus);
        }
        if(PointStatusEnum.POINT_STATUS_3.getCode().equals(pointStatus)){
            pointStatusList.add(PointStatusEnum.POINT_STATUS_4.getCode());
        }
        return pointStatusList;
    }

}
